String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	fFecServer("TxtFec");
	document.getElementById("TxtNro").value="";
	document.getElementById("TxtNum").value="";
	document.getElementById("TxtCli").value="";
	document.getElementById("TxtTot").value="";
	document.getElementById("TxtAcu").value="";
	document.getElementById("TxtCob").value="";
	document.getElementById("CboMod").value="EFECTIVO";
	document.getElementById("TxtSal").value="";
	//
	document.getElementById("CmdG").disabled =false;
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
	document.getElementById("TxtFec").focus();
}
function CalSaldo(){
	var TOT=jVal(gv("TxtTve"));
	var ACU=jVal(gv("TxtAcu"));
	var Tot=jVal(gv("TxtTot"));
	var SAL=TOT -( ACU + Tot);
	SAL=SAL.toFixed(2);
	document.getElementById("TxtSal").value=SAL;
}
//
function fGuardar(){
	var Emp=gv("CboEmp");
	var Tie=gv("CboAlm");
	var Fec=gv("TxtFec");
	var Num=gv("TxtNum");
	var Cli=gv("TxtCli");
	var Mod=gv("CboMod");
	//
	var TOT=jVal(gv("TxtTot"));
	var ACU=jVal(gv("TxtAcu"));
	var COB=jVal(gv("TxtCob"));
	var SAL=jVal(gv("TxtSal"));	
	//
	if(jL(Emp)==0){
		alert("Seleccione una empresa");
		return jF("CboEmp");
	}
	if(jL(Tie)==0){
		alert("Seleccione un punto de venta");
		return jF("CboAlm");
	}
	if(Fec.trim().length==0){
		alert("Ingrese la fecha, segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, verifique el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(jLen(Num)==0){
		alert("Ingrese el numero de contrato");
		jFocus("TxtNum");return;
	}
	if(jLen(Cli)==0){
		alert("Seleccione el cliente correspondiente");
		jFocus("CmdSel");return;
	}	
	if(TOT<=0){
		alert("El total debe ser mayor a cero");
		jFocus("TxtTot");return;
	}
	if(ACU + COB > TOT){
		alert("El total a acuenta mas el total a cobrar debe ser menor al total");
		jFocus("TxtCob");
		return;
	}
	if(COB<=0){
		alert("El Total a cobrar debe ser mayor a cero");
		jFocus("TxtCob");
		return;
	}
	//
	if(gv("CmdG")=="Guardar"){
		document.getElementById("CmdG").disabled=true;
		SM("G");
	}

}
//
function Cal(){
	var TOT=jVal(gv("TxtTot"));
	var ACU=jVal(gv("TxtAcu"));
	var COB=jVal(gv("TxtCob"));
	var SAL=0;
	SAL=(TOT - (ACU + COB)).toFixed(2);
	if(SAL>0){
		document.getElementById("TxtSal").value=SAL;
	}else{
		document.getElementById("TxtSal").value="0";
	}
}

function GetCon(){
	if(LK==13){
		sv("TxtCli","");
		sv("TxtTot","");
		sv("TxtAcu","");
		sv("TxtCob","");
		sv("TxtSal","");
		LK=0;
		var con=gv("TxtNum");
		var emp=gv("CboEmp");
		if(jLen(con)>0){
			var url="aj.php?Cmd=GCON&P1="+con+"&P2="+emp;
			var R=AJ(url);
			if(R=="NR"){
				alert("Numero de contrato no registrado");
				jF("TxtNum");
				return;
			}
			if(R=="CA"){
				alert("El numero de contrato ya ha sido cobrado en su totalidad");
				return;
			}
			var A=R.split("|");
			sv("TxtCli",A[0]);
			sv("TxtTot",A[1]);
			sv("TxtAcu",A[2]);			
		}
	}
}
//
function flAnular(){
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el id del registro activo");
		return;
	}
	if(confirm("Esta seguro que desea anular?")){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		SM("A");
	}
}
//
function flEliminar(){
	var id=gv("TxtId");
	if(jVal(id)<=0){
		alert("Ningun registro activo");
		return;
	}
	var Rpta = confirm("Esta seguro que desea eliminar?")		
	if (Rpta==true){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		//
		SM("E");
	}	
}
//
function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	//alert(r);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}